%global packname  gmailr
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.7.1
Release:          3%{?dist}
Summary:          Access the Gmail RESTful API

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-httr, R-base64enc, R-magrittr, R-jsonlite, R-mime, R-crayon
# Suggests:  R-testthat, R-knitr, R-methods, R-rmarkdown
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-httr
Requires:         R-base64enc
Requires:         R-magrittr
Requires:         R-jsonlite
Requires:         R-mime
Requires:         R-crayon
Suggests:         R-methods
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-httr
BuildRequires:    R-base64enc
BuildRequires:    R-magrittr
BuildRequires:    R-jsonlite
BuildRequires:    R-mime
BuildRequires:    R-crayon
BuildRequires:    R-testthat
BuildRequires:    R-knitr
BuildRequires:    R-methods
BuildRequires:    R-rmarkdown

%description
An interface to the Gmail RESTful API.  Allows access to your Gmail
messages, threads, drafts and labels.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.1-1
- initial package for Fedora
